Subject: Re: [EDUC] Re : Nouvelle version de Framadate
From: Louis-Maurice De Sousa <[email-masked]>
To: [email-masked]
Date: Fri, 28 Nov 2014 16:32:41 +0100
List-Id: <educ.april.org>

Le 28/11/2014 15:18, Nicolas George a écrit :
> Le septidi 7 frimaire, an CCXXIII, Fabián Rodríguez a écrit :
>> En effet, et je vois ça seulement comme une étape de transition vers
>> l'auto-hébergement. Framasoft aussi, c'est clair.
>
> Cet argument relève une des deux principales erreurs de raisonnement dans
> n'argumentaire de RMS : négliger le bénéfice escompté par les gens qui ont
> recours au SaaS.

Comme négliger le bénéfice escompté de la cocaïne…

> Il faut s'en rendre compte, l'époque où chacun avait sa
> tour sous le bureau est révolue. De nos jours, les gens veulent bosser dans
> le train ou chez des amis sur leur gadget ultra-portable, sans pour autant
> tout perdre s'ils se le font chouraver deux heures plus tard.

J'ai ma tour sous mon bureau, et mon serveur qui stocke mes données.
Je bosse dans le train, et je ne perds rien…

> Répondre LibreOffice à quelqu'un qui veut du Google docs, c'est comme
> répondre de prendre la voiture pour aller à la librairie de la grande ville
> à cinquante bornes à quelqu'un qui se réjouit qu'amazon livre à domicile en
> deux jours : complètement à côté de la plaque.

C'est de croire au mirage d'Amazon® qui est complètement à côté de la 
plaque. Cette entreprise va détruire l'économie du livre et la culture.
Dans 5 ou 10 ans, cette entreprise inondera le monde en deux jours de 
produits sans intérêt et de façon complètement automatisée pour le seul 
profit exclusif de son propriétaire. Elle ne contribue en rien à 
l'existence des infrastructures qu'elle utilise (routes, poste, 
électricité…) ne payant pas d'impôts.
Je n'achète pas chez Amazon® comme je ne vais pas au Mac Donald®.
Ce sont des nuisibles…

> Pour autant, l'auto-hébergement n'est pas une solution. En admettant, ce qui
> est très illusoire, que les gens apprennent à gérer leur serveur et sa
> sécurité (ben ouais, un serveur, par essence, c'est exposé),

J'ai un serveur en ligne depuis 15 ans et je n'ai pas eu à subir cette « 
exposition ». C'est plus compliqué d'attaquer une multitudes d'IP 
réparties partout dans le monde, que les serveurs de Google®.

> l'auto-hébergement veut dire une machine allumée chacun 24h/24 pour une
> utilisation... 10% du temps, au maximum pour un individu normal. À l'époque
> où réchauffement climatique et transition énergétique sont sur toutes les
> lèvres, c'est un peu contre-productif.

Parce que les centrales nucléaires nécessaires à l'alimentation des 
centres de Google® ou Apple c'est mieux ?

> L'autre grosse erreur de raisonnement dans l'argumentaire, c'est d'idéaliser
> le cas du logiciel contrôlé par l'utilisateur. Soyons sérieux, qui a audité
> la totalité de sa distribution avant de la compiler (avec un compilateur
> obtenu de source complètement distincte, sinon Ken Thompson va rigoler) en
> entier ? Qui peut affirmer que parmi les dizaines de développeurs Debian,
> aucun n'est sous la coupe de la NSA ?

Grave erreur de raisonnement.
Comment mettre sur un pied d'égalité un système avec révision par les 
pairs, et un système qui est la seul propriété d'une entreprise ?
Le seul fait de « pouvoir » le faire, si on en a les moyens ou le temps 
suffit.
Dans Debian, le contrôle du mainteneur est très stricte et les outils de 
contrôle sont assez tatillons. Passer au travers est difficile.
Quelqu'un en cheville avec la NSA ou une entreprise est bien sûr 
possible. Mais, à un moment ça se verra, ou se saura.

> On ne peut pas utiliser l'informatique
> sans faire un minimum confiance à des organisation tierces.

Dans le cas de Debian, on ne fait pas confiance à une organisation, mais 
à des gens. C'est une grosse différence.

> Le SaaS rend
> cette confiance plus difficile à contrôler et plus facile à trahir, mais
> c'est une différence quantitative, pas qualitative.

Si, parce que le nombre de personnes impliquées est bien moindre que 
pour une distribution GNU/Linux. Car au délà des packageurs, il y a 
aussi les développeurs.

> Enfin, un dernier point que je trouve choquant dans cet argumentaire, c'est
> le fait qu'il cisèle la définition de SaaS sur mesure pour inclure les
> services qu'il n'aime pas (Google docs) mais pas les services qu'il aime
> bien (Savannah). Ça ne donne pas très confiance.

La question n'est pas d'aimer ou pas.
Quelque soit le service, Google® fait de ses utilisateurs ses produits 
et donc sa seule richesse. Pourtant, à aucun moment les utilisateurs ne 
peuvent influer sur la stratégie ou la politique de Google®. Cette 
entreprise, comme Microsoft® ou Apple® sont des dangers pour la démocratie.

-- 

Louis-Maurice De Sousa

--
Pour vous désinscrire de cette liste : https://listes.april.org/wws/sigrequest/educ

Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ